%global projname autocommand

Summary:        Generate argparse parsers from function signatures
Name:           python-%{projname}
Version:        2.2.2
Release:        3%{?dist}
License:        LGPL-3.0-or-later
URL:            https://github.com/Lucretiel/%{projname}
Source0:        %{pypi_source %{projname}}

BuildRequires:  python3-devel python3-pytest
BuildArch:      noarch

%description
Autocommand turns a function into a command-line program. It converts the function's parameter
signature into command-line arguments, and automatically runs the function if the module was
called as __main__. In effect, it lets your create a smart main function.

%package     -n python3-%{projname}
Summary:        Generate argparse parsers from function signatures

%description -n python3-%{projname}
Autocommand turns a function into a command-line program. It converts the function's parameter
signature into command-line arguments, and automatically runs the function if the module was
called as __main__. In effect, it lets your create a smart main function.

%prep
%autosetup -n %{projname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{projname}

%check
%pytest

%files -n python3-%{projname} -f %{pyproject_files}
%license LICENSE
%doc README.md

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.2-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.2.2-2
- Rebuilt for loongarch release

* Tue Jan 9 2024 Shuo Wang <abushwang@tencent.com> - 2.2.2-1
- init pkg

